Skip to main content
Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations
GETvRouter Route Table OperationsSince 2.1SynchronousAuth Required

GetVRouterRouteTable

GetVRouterRouteTable

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • virtualRouterVmUuidStringRequired

    The VM instance UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The type. The UserStatic and UserBlackHole types can be added by users. The ZStack type is added by the system. The DirectConnect type means the directly connected route.

    • destinationStringRequired

      The destination network address.

    • targetStringRequired

      The next hop address or NIC.

    • distanceIntegerRequired

      The route priority. In the minimum match mode, if multiple route rules are available, the rule with the lowest integer has the highest priority to be matched.

    • statusStringRequired

      The route status. Options: active: active route inactive: inactive route selected: active route in the multi-path routes

Endpoint

GET/zstack/v1/vrouter-route-tables/vrouter/{virtualRouterVmUuid}

/zstack/v1/vrouter-route-tables/vrouter/{virtualRouterVmUuid}

Operation ID

GetVRouterRouteTable

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vrouter-route-tables/vrouter/{virtualRouterVmUuid}?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "type": "ZStack" "destination": "0.0.0.0/0" "target": "100.64.201.1" "status": "selected" }, { "uuid": "7b86eaba601c4ceda5987036c9ea7981" "type": "UserStatic" "destination": "100.64.0.0/24" "target": "100.64.201.10" "distance": "128" "status": "selected" }, { "uuid": "d15ebfe03aec49e6a0453e74eede350d" "type": "UserStatic" "destination": "100.64.0.0/24" "target": "100.64.201.11" "distance": "128" "status": "active" }, { "type": "ZStack" "destination": "10.0.57.94/32" "target": "eth0" }, { "uuid": "50e6070313fa4a05b17907a32be0a63f" "type": "UserStatic" "destination": "10.0.57.94/32" "target": "100.64.201.12" "distance": "1" "status": "inactive" }, { "type": "DirectConnect" "destination": "192.168.197.0/24" "target": "eth1" "status": "selected" }, { "uuid": "6b446d5cf776471c913582ab30bd6340" "type": "DirectConnect" "destination": "192.168.197.0/24" "target": "100.64.201.13" "distance": "1" "status": "inactive" }, { "uuid": "0aad7115c1f94aa1bf5db1a4d6d3fd17" "type": "UserBlackHole" "destination": "192.168.198.0/24" "distance": "1" "status": "selected" }, ] }

Change History

This API has no change history records yet.

View all change history